Page MenuHomePhabricator

Screen reader does not announce expanded/collapsed on toolbar buttons
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  • go to visual editor
  • open screen reader
  • navigate to style text
  • observe screen reader text

Actual Results:

  • screen reader does no announce expanded or collapsed

Expected Results:

  • screen reader should announce expanded or collapsed

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2020, 11:15 PM

Change 597650 had a related patch set uploaded (by VolkerE; owner: Bkudiess-msft):
[oojs/ui@master] PopupToolGroup: Announce expanded/collapsed state for screen readers

https://gerrit.wikimedia.org/r/597650

Change 597650 merged by jenkins-bot:
[oojs/ui@master] PopupToolGroup: Announce expanded/collapsed state for screen readers

https://gerrit.wikimedia.org/r/597650

Volker_E closed this task as Resolved.May 26 2020, 8:35 PM
Volker_E triaged this task as Medium priority.
Volker_E moved this task from Backlog to OOUI-0.39.1 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.39.1); removed OOUI.
Volker_E reopened this task as Open.May 28 2020, 3:09 AM
Volker_E added a subscriber: Volker_E.

Change 602503 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.39.1

https://gerrit.wikimedia.org/r/602503

Change 602503 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.39.1

https://gerrit.wikimedia.org/r/602503

Volker_E closed this task as Resolved.Jun 4 2020, 11:01 PM
Volker_E removed a project: Patch-For-Review.